summaryrefslogtreecommitdiffstats
path: root/tests/debconf
diff options
context:
space:
mode:
Diffstat (limited to 'tests/debconf')
-rwxr-xr-xtests/debconf23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/debconf b/tests/debconf
new file mode 100755
index 0000000..88b2a77
--- /dev/null
+++ b/tests/debconf
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Allows a task to be enabled or disabled if tasksel is running inside a
+# debconf instance, as in the first stage Debian install.
+#
+# To enable this test insert your tasks stanza a keyword like:
+#
+# Test-debconf: false
+#
+# This will cause the task to be available only if tasksel is not running
+# in debconf.
+
+if [ "$DEBIAN_HAS_FRONTEND" ] || [ "$DEBCONF_READFD" ]; then
+ if [ "$2" = true ]; then
+ exit 3 # display task, not marked for installation
+ fi
+else
+ if [ "$2" = false ]; then
+ exit 3 # display task, not marked for installation
+ fi
+fi
+
+exit 1 # do not display task